Skip to main content
POST
/
v1
/
recipients
/
{recipient_id}
/
resend
// POST https://api.signatureapi.com/v1/recipients/{recipient_id}/resend
// X-API-Key: key_test_...
// HTTP Status 200

{
  "can_resend_at": "2025-12-31T22:00:00.000Z"
}
Resends the signing request to a recipient who has not yet completed their ceremony. Use this endpoint to:
  • Send reminders. If a recipient has not signed, resend the invitation as a reminder.
  • Retry after a soft bounce. If the invitation email was temporarily undeliverable, resend to try again.
  • Re-deliver a lost email. If a recipient reports not receiving the invitation, resend it.
The resend is rate-limited to prevent email spam. The response includes can_resend_at, which tells you when the next resend can be initiated. The wait period increases with each attempt:
AttemptsWait period
1-315 minutes
4-61 hour
7-1024 hours
Over 10No more resends allowed
The request can only be resent if the recipient’s status is sent or soft_bounced, and the envelope status is in_progress.

Path Parameters

recipient_id
string
required
The unique identifier of the recipient. Recipient IDs use the re_ prefix.

Returns

Returns a 200 OK status code along with the following property:
can_resend_at
datetime
Time after which the next resend can be initiated, in format.
// POST https://api.signatureapi.com/v1/recipients/{recipient_id}/resend
// X-API-Key: key_test_...
// HTTP Status 200

{
  "can_resend_at": "2025-12-31T22:00:00.000Z"
}